<div class="header">
  <a routerLink='movies' class="logo">Movies</a>
  <div class="header-right">
    <a [ngClass]="activeClass.movies ? 'active' : ''" routerLink='movies'>Movies</a>
    <a [ngClass]="activeClass.signin ? 'active' : ''" routerLink='signin' *ngIf="!isUserLoggedIn">Sig In</a>
    <a [ngClass]="activeClass.singup ? 'active' : ''" routerLink='singup' *ngIf="!isUserLoggedIn">Sign Up</a>
    <a routerLink='' *ngIf="isUserLoggedIn">Welcome {{loggedInuser.user_name}}</a>
    <a [ngClass]="activeClass.singup ? 'active' : ''" (click)='logout()' *ngIf="isUserLoggedIn">Log Out</a>
  </div>
</div>